'use strict';

var CustoObraSinteticoController = angular.module('CustoObraSinteticoController', []);

CustoObraSinteticoController.controller('CustoObraSinteticoCtrl', ['$scope', '$filter', 'Relatorio', 'CacheApp',
  ($scope, $filter, Relatorio, CacheApp) => {
      $scope.construcao = CacheApp.getConstrucao();

      $scope.relatorio = {};
      $scope.relatorio.DataInicio = CacheApp.getData($scope.construcao.DataInicio ? $filter("date")($scope.construcao.DataInicio, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
      $scope.relatorio.DataFim = CacheApp.getData($scope.construcao.DataFim ? $filter("date")($scope.construcao.DataFim, 'yyyy-MM-ddT00:00:00Z') : $filter("date")(Date.now(), 'yyyy-MM-ddT00:00:00Z'));
      $scope.relatorio.OpcaoSelecionada = {Id: 15, Descricao: 'Todos'};

      $scope.Opcoes = [
          {Id: 15, Descricao: 'Todos'},
          {Id: 25, Descricao: 'Nota Fiscal'},
          {Id: 26, Descricao: 'Recibo'},
          {Id: 27, Descricao: 'Cupom Fiscal'}
      ];
  
      $scope.getRelatorioCustoObraSintetico = () => {
          $scope.planejado = {};
          Relatorio.getCustoSintetico($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'),
              (data) => {
                  $scope.planejado = data.Instance;
              });
      }
      $scope.getRelatorioCustoObraSintetico();

      $scope.pdfCustoSintetico = () => {
          var cabecalho = {
              Avatar: $scope.construcao.ContaAvatar,
              Obra: $scope.construcao.Titulo,
              Conta: $scope.construcao.Conta,
              DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
              DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
              Moeda: $scope.construcao.Moeda
          };

          Relatorio.pdfCustoSintetico($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
              (data) => {
                  window.location.assign(data.Instance);
              });
      }

    $scope.xlsCustoSintetico = () => {
        var cabecalho = {
            Avatar: $scope.construcao.ContaAvatar,
            Obra: $scope.construcao.Titulo,
            Conta: $scope.construcao.Conta,
            DataInicio: $filter("date")($scope.relatorio.DataInicio, 'dd/MM/yyyy'),
            DataFim: $filter("date")($scope.relatorio.DataFim, 'dd/MM/yyyy'),
            Moeda: $scope.construcao.Moeda
        };

        Relatorio.xlsCustoSintetico($scope.relatorio.OpcaoSelecionada.Id, $scope.construcao.Id, $filter("date")($scope.relatorio.DataInicio, 'yyyy-MM-dd'), $filter("date")($scope.relatorio.DataFim, 'yyyy-MM-dd'), cabecalho,
            (data) => {
                window.location.assign(data.Instance);
            });
    }
}]);
